Bug 1015719 - DiscoveryBossBean: Unknown resource type error, unclear from which agent the error is from
DiscoveryBossBean: Unknown resource type error, unclear from which agent the ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 19:01 EDT by Elias Ross
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:32:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elias Ross 2013-10-04 19:01:36 EDT
Description of problem:

Seen in the log file:

22:56:28,549 ERROR [org.rhq.enterprise.server.discovery.DiscoveryBossBean] (http-/0.0.0.0:7080-155) Reported resource [Resource[id=0, uuid=27d8a8a4-1db7-4757-99e7-6d690184f592, type={JBossAS7}Authentication (Classic), key=subsystem=security,security-domain=RHQRESTSecurityDomain,authentication=classic, name=Authentication (Classic), parent=RHQRESTSecurityDomain]] has an unknown type [ResourceType[id=0, name=Authentication (Classic), plugin=JBossAS7, category=Service]]. The Agent most likely has a plugin named 'JBossAS7' installed that is not installed on the Server. Resource will be ignored...

It would be nice to know which agent is reporting this error.

I can't find the resource as the UUID doesn't exist and the id is null.


Additional info:

The server does have the JBossAS7 plugin installed, so this is very confusing.
Comment 1 Libor Zoubek 2014-02-25 14:56:37 EST
in master
commit ad13c7ec68b1667e40191aaec2683d5d68a9b692
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Feb 25 20:52:59 2014 +0100

    [BZ 1015719] DiscoveryBossBean: Unknown resource type error, unclear from
    which agent the error is from

    Log message changed to include agent details
Comment 2 Heiko W. Rupp 2014-04-23 08:32:35 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.